
ISIS - Recommendation #2304

Misspelled error message in SpicePosition class

2015-07-28 02:52 PM - Jean Backer

Status: Closed   

Priority: Normal   

Assignee: Kristin Berry   

Category: API   

Target version:    

Impact: Text of some error messages changed.

No other impact expected. 

Software Version:  

Description

The SpicePosition class throws an error message with "velocities" misspelled as "velcities." 

History

#1 - 2015-08-12 02:52 PM - Moses Milazzo

- Status changed from New to Acknowledged

#2 - 2015-08-17 03:58 PM - Stuart Sides

- Status changed from Acknowledged to Assigned

- Assignee set to David Miller

#3 - 2015-08-17 04:12 PM - David Miller

- Status changed from Assigned to In Progress

#5 - 2015-08-25 03:53 PM - Kristin Berry

- Assignee changed from David Miller to Stuart Sides

#6 - 2015-08-27 11:24 AM - Kristin Berry

- Assignee changed from Stuart Sides to Kristin Berry

I fixed this while making another change to SpicePosition. It's in the LEISA-smile branch, which will be merged with trunk before the next ISIS release.

I'll keep the ticket open until soon before the merge happens. 

#7 - 2015-09-30 10:45 AM - Kristin Berry

- Status changed from In Progress to Resolved

To test/check, setisis to /work/users/kberry/LEISA-smile/isis or just look at

/work/users/kberry/LEISA-smile/isis/src/base/objs/SpicePosition/SpicePosition.cpp

#9 - 2015-09-30 10:47 AM - Jean Backer

- Status changed from Resolved to Closed

#10 - 2015-09-30 02:09 PM - Kristin Berry

- Impact updated

There's no svn checkin specifically associated with this ticket because it will be resolved with the merge of the LEISASmile branch into trunk, which

should be happening soon. 
I spent some time trying to add test coverage that includes the error messages I changed, but it seems to be impossible to get to the places where the

error-messages are thrown unless I spent a lot of time creating corrupted test data. 

Powered by TCPDF (www.tcpdf.org)

2017-01-07 2/2

http://www.tcpdf.org

